import 'package:flutter/material.dart';

class RecupElevatedButton extends StatelessWidget {
  final void Function()? onPressed;
  final Widget? child;
  final EdgeInsetsGeometry? padding;
  final bool radiusCircular;

  const RecupElevatedButton({
    required this.onPressed,
    this.child,
    super.key,
    this.padding,
    this.radiusCircular = true,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width,
      padding: padding,
      child: ElevatedButton(
        onPressed: onPressed,
        style: radiusCircular
            ? ElevatedButton.styleFrom(
                shape: const RoundedRectangleBorder(
                  borderRadius: BorderRadius.all(Radius.circular(100)),
                ),
              )
            : null,
        child: child,
      ),
    );
  }
}
